/*2017-01-16 add by yb
 * describe:微信前端，用户手机号码绑定
 */
var productName = "";
var productPrice = "";
var productId = "";
var transactionId = "";
var rechargeId = "";
var packageStr = "";
var channelCode ="0000";
$(document).ready(function(){
	if(""!=$("#channelCode").val()&&$("#channelCode").val()!=null){
		channelCode=$("#channelCode").val();
	}
	
	var url=$("#webUrl").val()+"/wechat/recharge/rechargeUserAuthor?developId="+$("#developId").val()+"&operationType="+$("#operationType").val()+"&channelCode="+channelCode;
	var imageUrl=$("#webUrl").val()+"/images/common/recharge.png";
	shareAppMessage('广东移动充话费9折','超级前台联合广东移动特供，人工特惠充值',url,imageUrl);
	var contextPath = $("#contextPath").val();
	var palmpay = $("#palmpay").val();
    
    var text = $(".photo_input").val(); 
    pushText(text.length);
	$('.photo_input').bind('input propertychange', function() {
		var text = $(".photo_input").val();
	    pushText(text.length,text);
	    
	});
	
	 Number.prototype.formatMoney = function (places, symbol, thousand, decimal) {
	        places = !isNaN(places = Math.abs(places)) ? places : 2;
	        symbol = symbol !== undefined ? symbol : "";
	        thousand = thousand || ",";
	        decimal = decimal || ".";
	        var number = this,
	            negative = number < 0 ? "-" : "",
	            i = parseInt(number = Math.abs(+number || 0).toFixed(places), 10) + "",
	            j = (j = i.length) > 3 ? j % 3 : 0;
	        return symbol + negative + (j ? i.substr(0, j) + thousand : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousand) + (places ? decimal + Math.abs(number - i).toFixed(places).slice(2) : "");
	    };
	
	function pushText(num,text){
		
		var flag=true;
      	if (num < 11){
      		$(".photoText_view_name").css('display','none');
      		$(".btn_view").removeClass("viewactive");
        	   //少于手机号码的位数移除改变样式的类
      	  $(".weChatPayment").removeClass("Paymentactive");
             if ($("div").hasClass("active")) {
             	$(".active").removeClass("active");
             }
         	 $('.btn_view').unbind("click");
             $(".btn_view").empty();
             productId="";
             var product="";
             	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>50元</div><div class='left_money'>售价46.50元</div></div></a>";
             	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>100元</div><div class='left_money'>售价93.00元</div></div></a>";
             	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>150元</div><div class='left_money'>售价139.50元</div></div></a>";
            	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>200元</div><div class='left_money'>售价186.00元</div></div></a>";
            	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>300元</div><div class='left_money'>售价279.00元</div></div></a>";
             	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>500元</div><div class='left_money'>售价455.00元</div></div></a>";
             	$(".btn_view").html(product);
      	}
      	else {
      		//加载产品数据 
      	    $.ajax({
      			type:'POST',
      			url:contextPath+'/wechat/recharge/findProduct',
      			data:{'mobile':text,'operationType':$("#operationType").val()},
      			dataType: 'json',//返回值类型 一般设置为json
      			async : false,
      			beforeSend: function( xhr ) {
      				layer.open({
      				    type: 2
      				    ,content:'加载中'
      				  });
      			  },
      			success: function (data)  //服务器成功响应处理函数
      			{
      				$(".btn_view").empty();
      				var subs = data.list;// 获取data中list的数组
      				var carrieroperator = data.carrieroperator;// 获取data中list的数组
      				if(subs == null || subs == "" || carrieroperator == null || carrieroperator == ""){
    					$(".photoText_view_name").html("此优惠仅限广东移动用户参与，其它号码暂未开通，敬请期待！");
    					$(".photoText_view_name").css('display','block'); 
//      		      		//$(".btn_view").removeClass("viewactive");
//      		        	   //少于手机号码的位数移除改变样式的类
//      		      	  $(".weChatPayment").removeClass("Paymentactive");
//      		      	  	if ($("div").hasClass("active")) {
//      		      	  		$(".active").removeClass("active");
//      		      	  	}
      					 var product="";
      	             	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>50元</div><div class='left_money'>售价46.50元</div></div></a>";
      	             	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>100元</div><div class='left_money'>售价93.00元</div></div></a>";
      	             	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>150元</div><div class='left_money'>售价139.50元</div></div></a>";
      	            	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>200元</div><div class='left_money'>售价186.00元</div></div></a>";
      	            	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>300元</div><div class='left_money'>售价279.00元</div></div></a>";
      	             	 product+="<a href='javascript:void(0)'><div class='left_net'><div class='left_num'>500元</div><div class='left_money'>售价455.00元</div></div></a>";
      	             	$(".btn_view").html(product);
          				$("#recharge").attr({"disabled":"disabled"});
          				$('.btn_view').unbind("click");
          				flag=false;
      					return;
      				}
      				$(".photoText_view_name").html(carrieroperator);
      				var product="";
      				for (var i = 0; i < subs.length; i++) {
      					product +="<a href='javascript:void(0)'>"
      							+"<div class='left_net'>"
      							+"<div class='productId' style='display:none'>"+subs[i].id+"</div>"
      							+"<div class='left_num'>"+subs[i].productName+"元</div>"
      							+"<div class='left_money'>售价"+jisuan(subs[i].realPrice)+"元</div>"
      							+"</div></a>"
      				}
      				$(".btn_view").html(product);
      			}
      		});
           //默认第一个选中的按钮
//		   $(".btn_view_product .left_net_product:first").addClass("active");
      	   //点击选择哪个充值对象
      	   if(flag){
      		   $(".total_View").css('display','block'); 
        	   $(".btn_view").addClass("viewactive");
        	   $(".weChatPayment").addClass("Paymentactive");
        	   $(".left_net .left_money").show();
        	   $(".left_net .left_num").css({'padding-top':'0','color':'#1450af'});
        	   $(".left_net .left_money").css({'color':'#1450af'});
        	   //当位数为11时改变选项的样式
//             $(".left_net").css({'border':'0.06rem solid #1450af'});
        	   $(".photoText_view_name").css('display','block'); 
      		 $(".btn_view").on("click",".left_net",function(){
       	   		var _this = $(this);
       	   	    _this.addClass("active");
   			    _this.parent().siblings().children().removeClass("active");
   			    productName = _this.children(".left_num").html();
   			    productPrice = _this.children(".left_money").html();
   			    productId = _this.children(".productId").html();
   			    $("#recharge").removeAttr("disabled");
       	   });
      	   }
      	 layer.closeAll();
      	}
    }
	
    $("#recharge").click(function(){
    	debugger;
    	var developId = $("#developId").val();
    	var mobile = $("#mobile").val();
    	var openId = $("#openId").val();
    	var tradeType = $("#tradeType").val();
    	var payWay = $("#payWay").val();
    	if(mobile == null || mobile ==""){
    		layer.open({
    			content : "手机号码不能为空",
    			skin : 'msg',
    			time : 2
    		// 2秒后自动关闭
    		});
    		$("#mobile").focus();
    		return;
    	}
    	if(!isPhone(mobile)){
    		return;
    	}
    	if(productId == null || productId ==""){
    		layer.open({
    			content : "请选择产品",
    			skin : 'msg',
    			time : 2
    		// 2秒后自动关闭
    		});
    		return;
    	}
    	$("#recharge").attr("disabled",true);
    	//生成订单
    	/*$.ajax({
    		type:'POST',
    		url:contextPath+'/wechat/recharge/createOrdId',
    		data:{mobile:mobile,productId:productId,
    			developId:developId,openId:openId,tradeType:tradeType,payWay:payWay,type:$("#operationType").val(),channelCode:channelCode},
    		dataType: 'json',//返回值类型 一般设置为json
    		success: function (data)  //服务器成功响应处理函数
    		{
    			if(data.code == '-1'){
    				layer.open({
    	    			content : data.msg,
    	    			skin : 'msg',
    	    			time : 2
    	    		// 2秒后自动关闭
    	    		});
    				$("#recharge").attr("disabled",false);
    			}
    			if(data.resultCode == '200'){
    				var obj=data.returnDTO;
    				onBridgeReady(obj.appId,obj.timeStamp,obj.nonceStr,obj.paySign,obj.package);
    			}
    			if(data.resultCode == '500'){
    				layer.open({
    	    			content : data.resultDesc,
    	    			skin : 'msg',
    	    			time : 2
    	    		// 2秒后自动关闭
    	    		});
    				$("#recharge").attr("disabled",false);
    			}
    		}
    	});*/
    	
    	//change by dz 20180126
    	$.ajax({
    		type:'POST',
    		url:contextPath+'/wechat/recharge/wechatH5_',
    		data:{mobile:mobile,productId:productId,
    			developId:developId,openId:openId,tradeType:tradeType,payWay:payWay,type:$("#operationType").val(),channelCode:channelCode},
    		dataType: 'json',//返回值类型 一般设置为json
    		success: function (data)  //服务器成功响应处理函数
    		{
    			
    		}
    	});
        
    })
    
});
//验证手机号码
function isPhone(val){
	if(val == null || val == "" ){
		layer.open({
			content :"手机号码不能为空",
			skin : 'msg',
			time : 2
		// 2秒后自动关闭
		});
		return false;
	}
	/*中移动手机号码*/
	var PATTERN_CHINAMOBILE = /^1(3[4-9]|5[012789]|8[23478]|4[7]|7[8])\d{8}$/;
	/*联通手机号码*/
	var PATTERN_CHINAUNICOM =/^1(3[0-2]|5[56]|8[56]|4[5]|7[6])\d{8}$/;
	/*电信手机号码*/
	var PATTERN_CHINATELECOM =/^1(3[3])|(8[019])\d{8}$/;
	if(PATTERN_CHINAMOBILE.test(val) || PATTERN_CHINAUNICOM.test(val) || PATTERN_CHINATELECOM.test(val)){
		return true;
	}
	layer.open({
		content :"手机号码格式不正确",
		skin : 'msg',
		time : 2
	// 2秒后自动关闭
	});
	return false;
}

//支付接口
function onBridgeReady(appId,timeStamp,nonceStr,paySign,packageStr){
	   WeixinJSBridge.invoke(
	       'getBrandWCPayRequest', {
	           "appId":appId,     			//公众号名称，由商户传入     
	           "timeStamp":timeStamp,      	//时间戳，自1970年以来的秒数     
	           "nonceStr":nonceStr, 		//随机串     
	           "package":packageStr,     
	           "signType":"MD5",         	//微信签名方式：     
	           "paySign":paySign 			//微信签名 
	       },
	       function(res){     
	    	   // 使用以上方式判断前端返回,微信团队郑重提示：res.err_msg将在用户支付成功后返回    ok，但并不保证它绝对可靠。
	    	   if(res.err_msg == "get_brand_wcpay_request:ok" ) {
	        	   $("#tcc").fadeOut("normal");
	        	   $("#order").attr('disabled',"true");
	        		$("#recharge").attr("disabled",false);
	        	   WeixinJSBridge.call('closeWindow');
	           }     
	           else if(res.err_msg == "get_brand_wcpay_request:cancel" ){
	        	   $("#tcc").fadeOut("normal");
	        		$("#recharge").attr("disabled",false);
	        	   layer.open({
	   	    			content : '您取消了支付，未成功生成订单.',
	   	    			skin : 'msg',
	   	    			time : 4
  	    		   });
	           }
	           else{
	        	   $("#tcc").fadeOut("normal");
	        		$("#recharge").attr("disabled",false);
	        	   layer.open({
	   	    			content : '调用支付失败(请升级到最新版本或检查网络).',
	   	    			skin : 'msg',
	   	    			time : 4
 	    		   });
	           }
	       }
	   ); 
	}

function jisuan(realPrice){
	var realPrice_ = Math.floor(realPrice * 100) / 100;
	return realPrice_.formatMoney();
}
